import { ApolloClient, InMemoryCache, gql } from '@apollo/client';

export default function fetchPosts(uri) {
  const client = new ApolloClient({
    uri,
    cache: new InMemoryCache()
  });

  return client.query({
    query: gql`
      query {
        posts {
          nodes {
            id
            title
            content
          }
        }
      }
    `
  })
  .then(result => result.data.posts.nodes)
  .catch(error => {
    console.error('Error fetching posts:', error);
    return [];
  });
}
